package org.dromara.game.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.game.domain.PlatProductProxy;

import java.io.Serial;
import java.io.Serializable;



/**
 * 产品代理商视图对象 plat_product_proxy
 *
 * @author Hixon
 * @date 2024-08-07
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PlatProductProxy.class)
public class PlatProductProxyVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 代理商ID
     */
    @ExcelProperty(value = "代理商ID")
    private Long id;

    /**
     * 代理商名称
     */
    @ExcelProperty(value = "代理商名称")
    private String name;


}
